summaryrefslogtreecommitdiffstats
path: root/abs/extra-testing/miro/miro.install
diff options
context:
space:
mode:
authorCecil Hugh Watson <knoppmyth@gmail.com>2009-02-04 08:05:43 (GMT)
committerCecil Hugh Watson <knoppmyth@gmail.com>2009-02-04 08:05:43 (GMT)
commit89b1295c5748aa24898ae8ba710b9d85a2b83b81 (patch)
tree54484215946ace5ba3217695543dbbaf388b5dc9 /abs/extra-testing/miro/miro.install
parent941b420d8f5ca08556b0a10ccde5f4e28e0d6146 (diff)
downloadlinhes_pkgbuild-89b1295c5748aa24898ae8ba710b9d85a2b83b81.zip
linhes_pkgbuild-89b1295c5748aa24898ae8ba710b9d85a2b83b81.tar.gz
linhes_pkgbuild-89b1295c5748aa24898ae8ba710b9d85a2b83b81.tar.bz2
Added miro.install to create /myth/miro and symlink appropriately to ~/.miro.
Diffstat (limited to 'abs/extra-testing/miro/miro.install')
-rw-r--r--abs/extra-testing/miro/miro.install24
1 files changed, 22 insertions, 2 deletions
diff --git a/abs/extra-testing/miro/miro.install b/abs/extra-testing/miro/miro.install
index 1f1121f..4ee823b 100644
--- a/abs/extra-testing/miro/miro.install
+++ b/abs/extra-testing/miro/miro.install
@@ -12,10 +12,30 @@ post_install() {
echo "" >> /tmp/is.xml.tmp
echo "</mythmenu>" >> /tmp/is.xml.tmp
mv /tmp/is.xml.tmp /usr/share/mythtv/is.xml
+ if [ -d /myth/democracy ]
+ then
+ ln -s /myth/democracy /home/mythtv/.miro
+ ln -s /myth/miro/Movies /myth/video/Miro
+ exit 1
+ else
+ if [ -d /myth/miro ]
+ then
+ ln -s /myth/miro /home/mythtv/.miro
+ ln -s /myth/miro/Movies /myth/video/Miro
+ exit 1
+ else
+ if [ ! -d /myth/miro -o /myth/democracy ]
+ then
+ mkdir -p /myth/miro/Movies
+ ln -s /myth/miro /home/mythtv/.miro
+ ln -s /myth/miro/Movies /home/mythtv/Movies
+ ln -s /myth/miro/Movies /myth/video/Miro
+ fi
+ fi
+ fi
}
post_remove() {
- mv /usr/share/mythtv/is.xml /tmp/is.xml.tmp
- sed -e '/\#Miro/,/\#Miro/d' < /tmp/is.xml.tmp > /usr/share/mythtv/is.xml
+ rm -fr /home/mythtv/.miro /myth/video/Miro /myth/miro /myth/democracy
}
op=$1